Uses of Package
com.eqixiac.equinix.internetaccess.client

Package
Description
Root package for the Equinix Java SDK.
 
  • Class
    Description
    Client interface for the Equinix Internet Access (EIA) v1 account lookups - the billing accounts available at an IBX (GET /internetAccess/v1/accounts), a single account by number (GET /internetAccess/v1/accounts/{accountNumber}) and an account's agreements (GET /internetAccess/v1/accounts/{accountNumber}/agreements).
    Client interface for the Equinix Internet Access (EIA) v1 product-availability lookup (GET /internetAccess/v1/cabinets) - the cabinets a customer has, optionally narrowed by cage, IBX and account.
    Client interface for the Equinix Internet Access (EIA) v1 product-availability lookup (GET /internetAccess/v1/cages) - the cages a customer has in a given IBX.
    Client interface for the Equinix Internet Access (EIA) v1 product-availability lookup (GET /internetAccess/v1/connectionServices) - the connection services available at a given IBX.
    Client interface for the Equinix Internet Access (EIA) v2 product-availability lookup (GET /internetAccess/v2/ibxs) - the IBX data centers where Equinix Internet Access is available for a given service connection type.
    Client interface for the Equinix Internet Access (EIA) v1 operational-units lookup (GET /internetAccess/v1/operationalUnits) - the Equinix operational units serving a given IBX.
    Client interface for the Equinix Internet Access (EIA) v1 order single get (GET /internetAccess/v1/orders/{orderUUID}).
    Client interface for the Equinix Internet Access (EIA) v1 product-availability lookup (GET /internetAccess/v1/patchPanels) - the patch panels a customer has in a given cage and cabinet.
    Client interface for the Equinix Internet Access (EIA) v1 price search (POST /internetAccess/v1/prices/search).
    Client interface for the Equinix Internet Access (EIA) v1 product / attribute configuration lookups - the read-only endpoints under /internetAccess/v1 that return the allowed and default configuration values (routing, bandwidth, connection, port) for ordering an EIA service.
    Client interface for the Equinix Internet Access (EIA) v1 purchase-order lookups - the list (GET /internetAccess/v1/accounts/{accountNumber}/purchaseOrders) and the single get (GET /internetAccess/v1/accounts/{accountNumber}/purchaseOrders/{number}).
    Client interface for the Equinix Internet Access (EIA) v2 service lifecycle.
    Client interface for the Equinix Internet Access (EIA) v1 signature-policies lookup (GET /internetAccess/v1/signaturePolicies) - the signature policies governing order acceptance.
    Client interface for the Equinix Internet Access (EIA) v1 terms-and-conditions lookup (GET /internetAccess/v1/terms) - the terms and conditions applicable to an account at a given IBX for a given product.
  • Class
    Description
    Client interface for the Equinix Internet Access (EIA) v1 account lookups - the billing accounts available at an IBX (GET /internetAccess/v1/accounts), a single account by number (GET /internetAccess/v1/accounts/{accountNumber}) and an account's agreements (GET /internetAccess/v1/accounts/{accountNumber}/agreements).
    Client interface for the Equinix Internet Access (EIA) v1 product-availability lookup (GET /internetAccess/v1/cabinets) - the cabinets a customer has, optionally narrowed by cage, IBX and account.
    Client interface for the Equinix Internet Access (EIA) v1 product-availability lookup (GET /internetAccess/v1/cages) - the cages a customer has in a given IBX.
    Client interface for the Equinix Internet Access (EIA) v1 product-availability lookup (GET /internetAccess/v1/connectionServices) - the connection services available at a given IBX.
    Client interface for the Equinix Internet Access (EIA) v2 product-availability lookup (GET /internetAccess/v2/ibxs) - the IBX data centers where Equinix Internet Access is available for a given service connection type.
    Client interface for the Equinix Internet Access (EIA) v1 operational-units lookup (GET /internetAccess/v1/operationalUnits) - the Equinix operational units serving a given IBX.
    Client interface for the Equinix Internet Access (EIA) v1 order single get (GET /internetAccess/v1/orders/{orderUUID}).
    Client interface for the Equinix Internet Access (EIA) v1 product-availability lookup (GET /internetAccess/v1/patchPanels) - the patch panels a customer has in a given cage and cabinet.
    Client interface for the Equinix Internet Access (EIA) v1 price search (POST /internetAccess/v1/prices/search).
    Client interface for the Equinix Internet Access (EIA) v1 product / attribute configuration lookups - the read-only endpoints under /internetAccess/v1 that return the allowed and default configuration values (routing, bandwidth, connection, port) for ordering an EIA service.
    Client interface for the Equinix Internet Access (EIA) v1 purchase-order lookups - the list (GET /internetAccess/v1/accounts/{accountNumber}/purchaseOrders) and the single get (GET /internetAccess/v1/accounts/{accountNumber}/purchaseOrders/{number}).
    Client interface for the Equinix Internet Access (EIA) v2 service lifecycle.
    Client interface for the Equinix Internet Access (EIA) v1 signature-policies lookup (GET /internetAccess/v1/signaturePolicies) - the signature policies governing order acceptance.
    Client interface for the Equinix Internet Access (EIA) v1 terms-and-conditions lookup (GET /internetAccess/v1/terms) - the terms and conditions applicable to an account at a given IBX for a given product.